# @startdt/eslint-config [![dependencies](https://img.shields.io/david/startdt/next-spec?path=packages%2Feslint-config)](https://david-dm.org/startdt/next-spec?path=packages/eslint-config)

![open source](https://img.shields.io/badge/open%20source-❤-red)
![npm version](https://img.shields.io/npm/v/@startdt/eslint-config)
![node version](https://img.shields.io/node/v/@startdt/eslint-config)
![npm peer dependency version](https://img.shields.io/npm/dependency-version/@startdt/eslint-config/peer/eslint)
![npm download](https://img.shields.io/npm/dm/@startdt/eslint-config)
![npm license](https://img.shields.io/npm/l/@startdt/eslint-config)

奇点云前端 ESLint 可共享配置。

## 如何使用

```bash
npm i eslint @startdt/eslint-config --save-dev
```

> 注意：无需在项目中安装 `eslint-plugin-vue`、`eslint-config-*` 以及其他规则依赖。

使用配置文件：

```js
// .eslintrc.js
module.exports = {
    extends: '@startdt/eslint-config',
    rules: {
        // 自定义规则
    },
};
```

或者项目属性：

```js
// package.json
"eslintConfig": {
    "extends": "@startdt/eslint-config",
    "rules": {}
}
```

## 错误级别

1. 默认情况下，所有启用的规则都是 `"error"` 级别的严重程度；
2. 已启用规则，且支持 `--fix` 选项自动修复的规则都是 `"warn"` 级别的严重程度;
3. 未启用规则，默认将值设置为 `"off"` 进行显式配置，不产生任何错误信息；
4. 继承的规则，包括插件的规则都遵循以上错误级别；
