#!/usr/bin/env node
const execa = require('execa');
const { prompter } = require('./lib/index');

const _ = undefined;
const prompt = () => prompter(_, commit);

main().catch(err => {
    setTimeout(() => {
        throw err;
    });
});

function main() {
    return isStageEmpty()
        .then(empty => {
            if (empty) {
                console.log('没有要提交的内容。请先使用 "git add" 暂存代码变更，再次执行 "commit" 命令。');
                process.exit(1);
            }
        })
        .then(() => prompt());
}

function isStageEmpty() {
    return execa('git', ['diff', '--cached']).then(r => r.stdout === '');
}

function commit(message) {
    const c = execa('git', ['commit', '-m', message]);
    c.stdout.pipe(process.stdout);
    c.stderr.pipe(process.stderr);
}
